# RPC specfile for Fedora
Name:		doldaconnect
Version:	1.3
Release:	1
License:	GPL v2+
Group:		Applications/Internet
Summary:	Direct Connect client
Source0:	http://www.dolda2000.com/~fredrik/doldaconnect/%{name}-%{version}.tar.gz
URL:		http://www.dolda2000.com/~fredrik/doldaconnect/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:	%{name}-libs = %{version}-%{release}
Requires:	%{name}-data = %{version}-%{release}
Requires:	doldacond = %{version}-%{release}

%description
Dolda Connect is a client program for the Direct Connect peer-to-peer
filesharing network. It is written so that the user interface is
separated from the actual filesharing program, so that the user
interface can run on a different computer over the network, and can be
shut down temporarily (or only started temporarily), and can be
replaced altogether.

The protocol with which the user interface talks with the actual
client is also quite well defined, so that other kinds of clients can
be written as well, such as an automatic downloader, a chatbot,
etc. It can also be used in secure multiuser operation.

%package libs
Summary:	%{name} libraries
Group:		Libraries
Requires:	krb5-libs >= 1.5

%description libs
Shared libraries for %{name}.

%package devel
Summary:	Development files for %{name}.
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
Header files and development libraries for %{name}.

%package guile
Summary:	Guile module for %{name}.
Group:		Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	guile >= 1.8.0

%description guile
Guile module for using the %{name} library in Scheme programs.

%package applet
Summary:	GNOME applet for %{name}
Group:		Applications/Internet
Requires:	%{name}-libs = %{version}-%{release}
Requires:	%{name}-data = %{version}-%{release}

%description applet
A GNOME applet for checking the status of transfers in %{name}.

%package data
Summary:	Common data files for %{name}
Group:		Applications/Internet

%description data
This package contains common data files for other %{name} packages.

%package -n dolcon
Summary:	The Gtk client in %{name}.
Group:		Applications/Internet
Requires:	%{name}-libs = %{version}-%{release}
Requires:	%{name}-data = %{version}-%{release}
Conflicts:	%{name}

%description -n dolcon
This package contains only the Gtk client for %{name}, so that it can
be used without using a local server.

%package -n doldacond
Summary:	The daemon in %{name}.
Group:		Daemons
Requires(post,preun):	/sbin/chkconfig
Requires:	initscripts
Requires:	krb5-libs >= 1.5
Requires:	gdbm >= 1.8.0

%description -n doldacond
Daemon for %{name} that does all the actual work of filesharing.

%prep
%setup

%build
echo "rpm" %{release} >source
%configure --disable-rpath --with-guile \
		--enable-gtk2ui --enable-guishell --with-pam \
		--with-krb5 --enable-gnomeapplet --without-keyutils
%{__make}

%install
rm -rf "$RPM_BUILD_ROOT"
mkdir "$RPM_BUILD_ROOT"
make install DESTDIR="$RPM_BUILD_ROOT"
install -D -m 644 contrib/pam.d-doldacond "$RPM_BUILD_ROOT"%{_sysconfdir}/pam.d/doldacond
install -D contrib/fedora-init.d-doldacond "$RPM_BUILD_ROOT"%{_initrddir}/doldacond
rm -f "$RPM_BUILD_ROOT"%{_libdir}/gaim/*.a
rm -f "$RPM_BUILD_ROOT"%{_libdir}/libdolcon-guile.a
rm -f "$RPM_BUILD_ROOT"%{_libdir}/libdolcon-guile.la

%find_lang %{name}

%clean
rm -rf "$RPM_BUILD_ROOT"

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/dolcon
%{_bindir}/dolconf
%{_bindir}/dolcon-launch
%{_bindir}/doldacond-shell
%{_desktopdir}/dolcon.desktop
%{_mandir}/man1/dolcon.1.gz

%files applet
%{_libdir}/bonobo/servers/*.server
%{_libexecdir}/dolcon-trans-applet

%files data
%{_iconsdir}/*
%{_datadir}/locale/*/LC_MESSAGES/doldaconnect.mo
%doc AUTHORS ChangeLog README doc/INSTALL doc/gui-shell doc/TODO doc/protorev

%files libs
%defattr(-,root,root)
%{_libdir}/libdcui.so.3
%{_libdir}/libdcui.so.3.0.0

%files devel
%defattr(-,root,root)
%{_libdir}/libdcui.so
%{_libdir}/libdcui.la
%{_libdir}/libdcui.a
%dir %{_includedir}/doldaconnect
%{_includedir}/doldaconnect/*.h

%files guile
%defattr(-,root,root)
%{_libdir}/libdolcon-guile.so
%dir %{_datadir}/guile/site/dolcon
%{_datadir}/guile/site/dolcon/ui.scm
%{_datadir}/guile/site/dolcon/util.scm
%{_bindir}/autodl
%{_bindir}/chatlog
%{_bindir}/dcruncmd
%{_bindir}/hubmgr

%files -n doldacond
%dir %{_sysconfdir}
%config(noreplace) %{_sysconfdir}/*
%{_bindir}/doldacond
%{_bindir}/locktouch
%{_bindir}/tthsum
%{_libexecdir}/speedrec
%{_mandir}/man5/doldacond.conf.5.gz
%{_mandir}/man8/doldacond.8.gz

%post -n doldacond
/sbin/chkconfig --add doldacond

%preun -n doldacond
%service doldacond stop
/sbin/chkconfig --del doldacond

%files -n dolcon
%{_bindir}/dolcon
%{_mandir}/man1/dolcon.1.gz

%changelog
* Tue Oct 16 2007 Fredrik Tolf <fredrik@dolda2000.com>
- Initial spec file. Quite a lot taken from the PLD specfile.
